From d0bb3646cf05ce8b96bc3fb7378d71a2001c68d8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 16 2020 06:27:49 +0000
Subject: [PATCH 130/2232] Remove Span wrapper type


---

diff --git a/syntax/mod.rs b/syntax/mod.rs
index 39198cc..8c7e5ca 100644
--- a/syntax/mod.rs
+++ b/syntax/mod.rs
@@ -9,17 +9,15 @@ pub mod ident;
 mod impls;
 mod parse;
 pub mod set;
-mod span;
 mod tokens;
 pub mod types;
 
-use proc_macro2::Ident;
+use proc_macro2::{Ident, Span};
 use syn::{LitStr, Token};
 
 pub use self::atom::Atom;
 pub use self::doc::Doc;
 pub use self::parse::parse_items;
-pub use self::span::Span;
 pub use self::types::Types;
 
 pub enum Api {
diff --git a/syntax/parse.rs b/syntax/parse.rs
index 1453b30..e059ae5 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -1,5 +1,5 @@
 use crate::syntax::{
-    self, attrs, error, Api, Atom, Doc, ExternFn, ExternType, Receiver, Ref, Struct, Ty1, Type, Var,
+    attrs, error, Api, Atom, Doc, ExternFn, ExternType, Receiver, Ref, Struct, Ty1, Type, Var,
 };
 use proc_macro2::Ident;
 use quote::quote;
@@ -252,7 +252,7 @@ fn parse_type(ty: &RustType) -> Result<Type> {
             }
         }
         RustType::Tuple(ty) if ty.elems.is_empty() => {
-            return Ok(Type::Void(syntax::Span(ty.paren_token.span)));
+            return Ok(Type::Void(ty.paren_token.span));
         }
         _ => {}
     }
diff --git a/syntax/tokens.rs b/syntax/tokens.rs
index 4ddc1a6..52c47d5 100644
--- a/syntax/tokens.rs
+++ b/syntax/tokens.rs
@@ -16,7 +16,7 @@ impl ToTokens for Type {
             }
             Type::RustBox(ty) | Type::UniquePtr(ty) => ty.to_tokens(tokens),
             Type::Ref(r) | Type::Str(r) => r.to_tokens(tokens),
-            Type::Void(span) => tokens.extend(quote_spanned!(span.0=> ())),
+            Type::Void(span) => tokens.extend(quote_spanned!(*span=> ())),
         }
     }
 }

